LINUX.ORG.RU
ФорумAdmin

почему может сломаться сборка?


0

0

I.почему сборка может так сломаться?
make: "/usr/obj/yate/Makefile" line 56: Missing dependency operator
make: "/usr/obj/yate/Makefile" line 59: Need an operator
make: "/usr/obj/yate/Makefile" line 60: Missing dependency operator
make: "/usr/obj/yate/Makefile" line 63: Need an operator
make: Fatal errors encountered -- cannot continue

Вот мейкфайл начиная с 56 строчки...
ifneq (_,_)
DOCGEN_K :=  -C ./kdoc-filter.sh -d docs/api/ $(DOCGEN_F)
DOCGEN := $(DOCGEN_K)
endif
ifneq (_,_)
DOCGEN_D := (cat Doxyfile; echo 'INPUT = $(DOCGEN_F)') |  -
DOCGEN := $(DOCGEN_D)
endif

II. Как собрать stardict?
При
./configure --prefix=/usr/pkg 
ломается так...
checking for poptStrippedArgv in -lpopt... no
configure: error: popt 1.5 or newer is required to build
stardict. You can download the latest version from ftp://people.redhat.com/sopwith/popt/

Но пакет в системе есть и даже более свежий!
# pkg_info|grep popt
popt-1.7nb6         Command line option parsing library

Ответ на: Re: почему может сломаться сборка? от no-dashi

Re: почему может сломаться сборка?

P.S. Vi hot post pro4italy perviy?


# make search key=popt-      
Pkg:    popt-1.7nb6
Path:   devel/popt
Info:   Command line option parsing library
Maint:  pkgsrc-users@NetBSD.org
Index:  devel
B-deps: libtool-base>=1.5.18nb5 gmake>=3.78
R-deps:
Arch:   any


svegee nety

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.